<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Pallet"
                widgetVar="Editarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="650" >
                <h:panelGroup id="detalleEditar"> 
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <p:inputText value="#{palletMB.registroSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{palletMB.registroSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column> 
                            <p:column>
                                <h:outputLabel for="cajas" value="# Cajas : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="cajas" value="#{palletMB.registroSeleccionado.cajas}" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>
                             
                            <p:column>
                                <h:outputLabel for="ctarima" value="Cat Tarima: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="ctarima"  value="#{palletMB.registroSeleccionado.idtarima}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{palletMB.cat_tarima}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="cmarca" value="Cat Marca: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="cmarca"  value="#{palletMB.registroSeleccionado.idmarca}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{palletMB.cat_marca}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                             
                            <p:column>
                                <p:commandButton 
                                    value="Editar" 
                                    icon="ui-icon-pencil"
                                    style="font-size:  100%"
                                    action="#{palletMB.editarRegistro(palletMB.registroSeleccionado.id,palletMB.registroSeleccionado)}">                        
                                </p:commandButton>
                                <p:spacer width="20" height="10" /> 
                            </p:column> 
                            
                            <p:column>
                                <p:commandButton 
                                    value="Entrar a Detalle"
                                    icon="ui-icon-folder-open"
                                    style="font-size:  100%"
                                    action="#{palletMB.asigarDetallar(palletMB.registroSeleccionado.id)}">                        
                                </p:commandButton> 
                                <p:spacer width="20" height="10" /> 
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%" 
                                    onclick="PF('Editarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                            
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
